Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenLinkConstraintsImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenLinkConstraintsImpl

All Implemented Interfaces:
  EObject, GenLinkConstraints, InternalEObject, Notifier

public class GenLinkConstraintsImpl
extends EObjectImpl
implements GenLinkConstraints

An implementation of the model object 'Gen Link Constraints'.

The following features are implemented:

- `Link`
- `Source End`
- `Target End`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected GenConstraint` `sourceEnd` The cached value of the '`Source End`' containment reference
`protected GenConstraint` `targetEnd` The cached value of the '`Target End`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenLinkConstraintsImpl()`

Method Summary
`NotificationChain` `basicSetLink(GenLink newLink, NotificationChain msgs)`
`NotificationChain` `basicSetSourceEnd(GenConstraint newSourceEnd, NotificationChain msgs)`
`NotificationChain` `basicSetTargetEnd(GenConstraint newTargetEnd, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getConstraintsInstanceFieldName()`
`GenLink` `getLink()`
`GenClass` `getLinkClass()`
`GenConstraint` `getSourceEnd()`
`GenClass` `getSourceEndContextClass()`
`GenConstraint` `getTargetEnd()`
`GenClass` `getTargetEndContextClass()`
`void` `setLink(GenLink newLink)`
`void` `setSourceEnd(GenConstraint newSourceEnd)`
`void` `setTargetEnd(GenConstraint newTargetEnd)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### sourceEnd

    protected GenConstraint sourceEnd

  The cached value of the '`Source End`' containment reference.

  See Also:
    `GenLinkConstraintsImpl.getSourceEnd()`
  ** Generated **
  Ordered:

### targetEnd

    protected GenConstraint targetEnd

  The cached value of the '`Target End`' containment reference.

  See Also:
    `GenLinkConstraintsImpl.getTargetEnd()`
  ** Generated **
  Ordered:

Constructor Detail

### GenLinkConstraintsImpl

    protected GenLinkConstraintsImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getLink

    public GenLink getLink()

  Specified by:
    `getLink` in interface `GenLinkConstraints`
  Returns:
    the value of the 'Link' container reference.
  See Also:
    `GenLinkConstraints.setLink(GenLink)`, `GMFGenPackage.getGenLinkConstraints_Link()`, `GenLink.getCreationConstraints()`
  ** Generated **

### basicSetLink

    public NotificationChain basicSetLink(GenLink newLink,
                                          NotificationChain msgs)

  ** Generated **

### setLink

    public void setLink(GenLink newLink)

  Specified by:
    `setLink` in interface `GenLinkConstraints`
  Parameters:
    `newLink` - the new value of the 'Link' container reference.
  See Also:
    `GenLinkConstraints.getLink()`
  ** Generated **

### getSourceEnd

    public GenConstraint getSourceEnd()

  Specified by:
    `getSourceEnd` in interface `GenLinkConstraints`
  Returns:
    the value of the 'Source End' containment reference.
  See Also:
    `GenLinkConstraints.setSourceEnd(GenConstraint)`, `GMFGenPackage.getGenLinkConstraints_SourceEnd()`
  ** Generated **

### basicSetSourceEnd

    public NotificationChain basicSetSourceEnd(GenConstraint newSourceEnd,
                                               NotificationChain msgs)

  ** Generated **

### setSourceEnd

    public void setSourceEnd(GenConstraint newSourceEnd)

  Specified by:
    `setSourceEnd` in interface `GenLinkConstraints`
  Parameters:
    `newSourceEnd` - the new value of the 'Source End' containment reference.
  See Also:
    `GenLinkConstraints.getSourceEnd()`
  ** Generated **

### getTargetEnd

    public GenConstraint getTargetEnd()

  Specified by:
    `getTargetEnd` in interface `GenLinkConstraints`
  Returns:
    the value of the 'Target End' containment reference.
  See Also:
    `GenLinkConstraints.setTargetEnd(GenConstraint)`, `GMFGenPackage.getGenLinkConstraints_TargetEnd()`
  ** Generated **

### basicSetTargetEnd

    public NotificationChain basicSetTargetEnd(GenConstraint newTargetEnd,
                                               NotificationChain msgs)

  ** Generated **

### setTargetEnd

    public void setTargetEnd(GenConstraint newTargetEnd)

  Specified by:
    `setTargetEnd` in interface `GenLinkConstraints`
  Parameters:
    `newTargetEnd` - the new value of the 'Target End' containment reference.
  See Also:
    `GenLinkConstraints.getTargetEnd()`
  ** Generated **

### getLinkClass

    public GenClass getLinkClass()

  Specified by:
    `getLinkClass` in interface `GenLinkConstraints`
  ** Generated **
    NOT

### getSourceEndContextClass

    public GenClass getSourceEndContextClass()

  Specified by:
    `getSourceEndContextClass` in interface `GenLinkConstraints`
  ** Generated **
    NOT

### getTargetEndContextClass

    public GenClass getTargetEndContextClass()

  Specified by:
    `getTargetEndContextClass` in interface `GenLinkConstraints`
  ** Generated **
    NOT

### getConstraintsInstanceFieldName

    public java.lang.String getConstraintsInstanceFieldName()

  Specified by:
    `getConstraintsInstanceFieldName` in interface `GenLinkConstraints`
  ** Generated **
    NOT

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.